%define major		2
%define libname		%mklibname wacom %{major}
%define develname	%mklibname wacom -d


Name:           libwacom
Version:        0.18
Release:        %mkrel 1
Summary:        Tablet Information Client Library
Group:          System/Libraries
License:        MIT
URL:            http://linuxwacom.sourceforge.net
Source0:        http://prdownloads.sourceforge.net/linuxwacom/%{name}/%{name}-%{version}.tar.xz
Source1:        libwacom.rules
BuildRequires:  autoconf automake libtool doxygen
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gudev-1.0)

%description
%{name} is a library that provides information about Wacom tablets
and tools. This information can then be used by drivers or applications
to tweak the UI or general settings to match the physical tablet.

#-----------------------------------------------------------

%package -n %{libname}
Summary:	A library to identify wacom tablets
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname}
libwacom is a library to identify wacom tablets and their model-specific
features. It provides easy access to information such as "is this a built-in
on-screen tablet", "what is the size of this model", etc.

#-----------------------------------------------------------

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/X11
Requires:	%{libname}
Provides:	%{name}-devel

%description -n %{develname}
Development files for %{name}.

#-----------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install

%makeinstall_std
mkdir -p %{buildroot}/%{_libdir}/udev/rules.d
install -p -m 644 %SOURCE1 %{buildroot}/%{_libdir}/udev/rules.d/65-libwacom.rules

rm -f %{buildroot}%{_libdir}/*.la


%files
%{_datadir}/libwacom
%{_libdir}/udev/rules.d/65-libwacom.rules

%files -n %{libname}
%{_libdir}/*.so.%{major}*
%_bindir/libwacom-list-local-devices

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc


%changelog
* Mon Apr 04 2016 bb <bb> 0.18-1pclos2016
- update

* Wed Jan 28 2015 pinoc <vogtpet at gmail.com> 0.11-2pclos2015
- rebuild on new glibc 2.20

* Mon Jan 26 2015 pinoc <vogtpet at gmail.com> 0.11-1pclos2015
- 0.11

* Sun May 26 2013 Ken <lxgator at gmail.com> 0.6-1pclos2013
- 0.6
- use library naming scheme on library files (texstar)
